@ARTICLE{Archer1999,
  author = {G.C. Archer and G. Fenves and C. Thewalt},
  title = {{A new object-oriented finite element analysis program architecture}},
  journal = {Computers and Structures},
  year = {1999},
  volume = {70},
  pages = {63-75},
  owner = {mueli},
  timestamp = {2011.12.22}
}

@BOOK{Bathe2007,
  title = {{Finite Element Procedures}},
  publisher = {Prentice Hall},
  year = {2007},
  author = {K.J. Bathe},
  owner = {mueli},
  timestamp = {2011.11.07}
}

@ARTICLE{Benson1990,
  author = {D.J. Benson and J.O. Hallquist},
  title = {{A single surface contact algorithm for postbucklung}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = 1990,
  volume = 78,
  pages = {141-163},
  owner = {mueli},
  timestamp = {2011.11.30}
}

@BOOK{BonetWood,
  title = {{Nonlinear Continuum Mechanics for Finite Element Analysis}},
  publisher = {Cambridge University Press},
  year = {1997},
  author = {Javier Bonet and Richard D. Wood},
  edition = {2nd},
  owner = {mueli},
  timestamp = {2011.09.29}
}

@ARTICLE{Fischer2006,
  author = {Kathrin A. Fischer and Peter Wriggers},
  title = {{Mortar based frictional contact formulation for higher order interpolations
	using the moving friction cone}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2006},
  volume = {195},
  pages = {5020-5036},
  owner = {mueli},
  timestamp = {2011.11.07}
}

@ARTICLE{Fischer2005,
  author = {Fischer, K. A. and Wriggers, P.},
  title = {{Frictionless 2D Contact formulations for finite deformations based
	on the mortar method}},
  journal = {Computational Mechanics},
  year = {2005},
  volume = {36},
  pages = {226-244},
  issue = {3},
  keyword = {Computer Science},
  publisher = {Springer Berlin / Heidelberg}
}

@ARTICLE{Flemisch2005,
  author = {B. Flemisch and M. A. Puso and B. I. Wohlmuth},
  title = {{A new dual mortar method for curved interfaces: 2D elasticity}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2005},
  volume = {63},
  pages = {813-832},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@ARTICLE{Wohlmuth200,
author= {B. I. Wohlmuth},
title={{A mortar finite element method using dual spaces for the Lagrange multiplier}},
journal={SIAM Journal on Numerical Analysis},
year={2000},
volume={38},
pages={989–1012}
}

@ARTICLE{Gitterle2010,
  author = {Gitterle, Markus and Popp, Alexander and Gee, Michael W. and Wall,
	Wolfgang A.},
  title = {{Finite deformation frictional mortar contact using a semi-smooth
	Newton method with consistent linearization}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2010},
  volume = {84},
  pages = {543--571},
  number = {5},
  publisher = {John Wiley \& Sons, Ltd.},
  timestamp = {2010.11.03}
}

@BOOK{Gray1998,
  title = {{Modern differential geometry of curves and surfaces with Mathematica}},
  publisher = {CRC Press},
  year = {1998},
  author = {Alfred Gray},
  edition = {2nd},
  owner = {mueli},
  timestamp = {2011.11.02}
}

@ARTICLE{Hueeber2009,
  author = {S. H\"{u}eber and B.I. Wohlmuth},
  title = {{Thermo-mechanical contact problems on non-matching meshes}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2009},
  volume = {198},
  pages = {1338-1350},
  owner = {mueli},
  timestamp = {2011.12.19}
}

@ARTICLE{Hueeber2005,
  author = {S. H\"{u}eber and B.I. Wohlmuth},
  title = {{A primal–dual active set strategy for non-linear multibody contact
	problems}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2005},
  volume = {194},
  pages = {3147-3166},
  owner = {mueli},
  timestamp = {2011.12.19}
}

@MISC{Soofea,
  author = {Michael E. Hammer},
  title = {{SOOFEA - Software for Object Oriented Finite Element Analysis}},
  year = {2006},
  url = {http://soofea.fest.tugraz.at}
}

@ARTICLE{Hartmann2008,
  author = {S. Hartmann and E. Ramm},
  title = {{A mortar based contact formulation for non-linear dynamics using
	dual Lagrange multipliers}},
  journal = {Finite Elements in Analysis and Design},
  year = 2008,
  volume = 44,
  pages = {245-258},
  owner = {mueli},
  timestamp = {2011.12.19}
}

@ARTICLE{Hesch2009,
  author = {Christian Hesch and Peter Betsch},
  title = {{A mortar method for energy-momentum conserving schemes in frictionless
	dynamic contact problems}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2009},
  volume = {77},
  pages = {1468-1500},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@ARTICLE{Hild2000,
  author = {Patrick Hild},
  title = {{Numerical implementation of two nonconforming finite element methods
	for unilateral contact}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2000},
  volume = {184},
  pages = {99-123},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@MISC{matplotlib,
  author = {John D. Hunter},
  title = {Matplotlib},
  year = {2011},
  owner = {mueli},
  timestamp = {2011.12.22},
  url = {http://matplotlib.sourceforge.net/index.html}
}

@BOOK{Klingbeil1985,
  title = {{Tensorrechnung für Ingenieure}},
  publisher = {Bibliographisches Institut},
  year = {1985},
  author = {Eberhard Klingbeil}
}

@ARTICLE{konyukhov2006,
  author = {A. Konyukhov and K. Schweizerhof},
  title = {{A special focus on 2D formulations for contact problems using a covariant
	description}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2006},
  volume = {66},
  pages = {1432-1465},
  owner = {mueli},
  timestamp = {2011.11.02}
}

@article {konyukhov2005,
   author = {Schweizerhof, K. and Konyukhov, A.},
   title = {{Covariant description for frictional contact problems}},
   journal = {Computational Mechanics},
   publisher = {Springer Berlin / Heidelberg},
   pages = {190-213},
   volume = {35},
   issue = {3},
   year = {2005}
}

@BOOK{Laursen2002,
  title = {{Computational Contact and Impact Mechanics}},
  publisher = {Springer},
  year = {2002},
  author = {T.A. Laursen},
  owner = {mueli},
  timestamp = {2011.03.04}
}

@ARTICLE{Laursen1993,
  author = {Laursen, T. A. and Simo, J. C.},
  title = {{A continuum-based finite element formulation for the implicit solution
	of multibody, large deformation-frictional contact problems}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {1993},
  volume = {36},
  pages = {3451--3485},
  number = {20},
  owner = {mueli},
  publisher = {John Wiley \& Sons, Ltd},
  timestamp = {2010.11.03}
}

@BOOK{MarsdenHughes,
  title = {{Mathematical Foundations of Elasticity}},
  publisher = {Dover Publications, Inc.},
  year = {1983},
  author = {Jerold E. Marsden and Thomas J. R. Hughes},
  owner = {mueli},
  timestamp = {2011.09.29}
}

@ARTICLE{McDevitt2000,
  author = {T. W. McDevitt and T. A. Laursen},
  title = {{A mortar-finite element formulation for frictional contact problems}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2000},
  volume = {48},
  pages = {1525-1547},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@ARTICLE{Popp2009,
  author = {Popp, Alexander and Gee, Michael W. and Wall, Wolfgang A.},
  title = {{A finite deformation mortar contact formulation using a primal–dual
	active set strategy}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2009},
  volume = {79},
  pages = {1354--1391},
  number = {11},
  keywords = {mortar finite element methods, multibody contact, primal–dual active
	set strategy, dual Lagrange multipliers, finite deformations},
  owner = {mueli},
  publisher = {John Wiley \& Sons, Ltd.},
  timestamp = {2010.11.03}
}

@ARTICLE{Popp2010,
  author = {Popp, Alexander and Gitterle, Markus and Gee, Michael W. and Wall,
	Wolfgang A.},
  title = {{A dual mortar approach for 3D finite deformation contact with consistent
	linearization}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2010},
  volume = {83},
  pages = {1428--1465},
  number = {11},
  keywords = {mortar finite element methods, contact, dual Lagrange multipliers,
	semi-smooth Newton method, finite deformations},
  owner = {mueli},
  publisher = {John Wiley \& Sons, Ltd.},
  timestamp = {2010.11.03}
}

@ARTICLE{Puso2004,
  author = {Michael A. Puso},
  title = {{A 3D mortar method for solid mechanics}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = 2004,
  volume = 59,
  pages = {315-336},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@ARTICLE{Puso2004a,
  author = {Michael A. Puso and Tod A. Laursen},
  title = {{A mortar segment-to-segment contact method for large deformation
	solid mechanics}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2004},
  volume = {193},
  pages = {601 - 629},
  number = {6-8},
  keywords = {Finite elements}
}

@ARTICLE{Puso2004b,
  author = {Michael A. Puso and Tod A. Laursen},
  title = {{A mortar segment-to-segment frictional contact method for large deformations}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2004},
  volume = {193},
  pages = {4891 - 4913},
  number = {45-47},
  keywords = {Finite elements}
}

@ARTICLE{Puso2008,
  author = {Michael A. Puso and T.A. Laursen and Jerome Solberg},
  title = {{A segment-to-segment mortar contact method for quadratic elements
	and large deformations}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2008},
  volume = {197},
  pages = {555 - 566},
  number = {6-8},
  keywords = {Contact/impact}
}

@BOOK{Sokolnikoff1964,
  title = {{Tensor Analysis Theory and Applicatoins to Geometry and Mechanics
	of Continua}},
  publisher = {John Wiley \& Sons, Inc.},
  year = {1964},
  author = {I. S. Sokolnikoff},
  owner = {mueli},
  timestamp = {2011.11.02}
}

@BOOK{TruesdellNoll,
  title = {{The Non-Linear Field Theories of Mechanics}},
  publisher = {Springer-Verlag},
  year = {1965},
  author = {C. Truesdell and W. Noll},
  owner = {mueli},
  timestamp = {2011.09.29}
}

@ARTICLE{Tur2009,
  author = {M. Tur and F.J. Fuenmayor and P. Wriggers},
  title = {{A mortar-based frictional contact formulation for large deformations
	using Lagrange multipliers}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2009},
  volume = {198},
  pages = {2860 - 2873},
  number = {37-40},
  keywords = {Contact}
}

@BOOK{Willner2003,
  title = {{Kontinuums- und Kontaktmechanik}},
  publisher = {Springer},
  year = {2003},
  author = {Kai Willner}
}

@ARTICLE{Wolmuth2000,
  author = {B. I. Wolmuth},
  title = {{A mortar finite element method using dual spaces for the Lagrange
	multiplier}},
  journal = {SIAM J. Numer. Anal.},
  year = 2000,
  volume = 38,
  pages = {989-1012},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@BOOK{Wriggers2008,
  title = {{Nonlinear Finite Element Methods}},
  publisher = {Springer},
  year = {2009},
  author = {Peter Wriggers},
  owner = {mueli},
  timestamp = {2011.03.04}
}

@BOOK{Wriggers2007,
  title = {{Computational contact mechanics}},
  publisher = {Springer},
  year = {2007},
  author = {Peter Wriggers},
  owner = {mueli},
  timestamp = {2011.03.04}
}

@ARTICLE{Yang2008,
  author = {Bin Yang and Tod A. Laursen},
  title = {{A contact searching algorithm including bounding volume trees applied
	to finite sliding mortar formulations}},
  journal = {Computational Mechanics},
  year = {2008},
  volume = {41},
  pages = {189-205},
  owner = {mueli},
  timestamp = {2011.12.19}
}

@ARTICLE{Yang2008_2,
  author = {Bin Yang and Tod A. Laursen},
  title = {{A large deformation mortar formulation of self contact with finite
	sliding}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = {2008},
  volume = {197},
  pages = {756-772},
  owner = {mueli},
  timestamp = {2011.12.20}
}

@ARTICLE{Yang2005,
  author = {Yang, Bin and Laursen, Tod A. and Meng, Xiaonong},
  title = {{Two dimensional mortar contact methods for large deformation frictional
	sliding}},
  journal = {International Journal for Numerical Methods in Engineering},
  year = {2005},
  volume = {62},
  pages = {1183--1225},
  number = {9},
  keywords = {friction, mortar methods, contact, large sliding, finite elements},
  publisher = {John Wiley \& Sons, Ltd.},
  timestamp = {2010.11.03}
}

@ARTICLE{Zavarise2009,
  author = {Giorgio Zavarise and {de Lorenzis}, Laura},
  title = {{The node-to-segment algorithm for 2D frictionless contact: Classical
	formulation and special cases}},
  journal = {Computer Methods in Applied Mechanics and Engineering},
  year = 2009,
  volume = 198,
  pages = {3428-3451},
  owner = {mueli},
  timestamp = {2011.12.01}
}

@BOOK{Zienkiewicz2005_1,
  title = {{The Finite Element Method. Its Basis and Fundamentals.}},
  publisher = {Butterworth-Heinemann},
  year = {2005},
  author = {O. C. Zienkiewicz and R. L. Taylor},
  volume = {1},
  edition = {6th},
  owner = {mueli},
  timestamp = {2011.12.19}
}

@BOOK{Zienkiewicz2005_2,
  title = {{The Finite Element Method for Solid and Structural Mechanics}},
  publisher = {Butterworth-Heinemann},
  year = {2005},
  author = {O. C. Zienkiewicz and R. L. Taylor},
  volume = {2},
  edition = {6th},
  owner = {mueli},
  timestamp = {2011.11.07}
}

@ARTICLE{geuzaine2009,
  title={Gmsh: A 3-D finite element mesh generator with built-in pre-and post-processing facilities},
  author={Geuzaine, C. and Remacle, J.F.},
  journal={International Journal for Numerical Methods in Engineering},
  volume={79},
  number={11},
  pages={1309--1331},
  year={2009},
  publisher={John Wiley \& Sons, Ltd.}
}

@book{goldsmith2001,
  title={{Impact: the theory and physical behaviour of colliding solids}},
  author={Goldsmith, W.},
  series={Dover books on engineering},
  year={2001},
  publisher={Dover Publications}
}

@book{kikuchi1988,
  title={{Contact Problems in Elasticity: A Study of Variational Inequalities and Finite Element Methods}},
  author={Kikuchi, N. and Oden, J.T.},
  series={SIAM studies in applied mathematics},
  year={1988},
  publisher={SIAM}
}

@article{Hallquist1985,
author={Hallquist, JO and Goudreau, GL and Benson DJ},
title={{Sliding interfaces with contact-impact in large-scale Lagrangian computations}},
journal={Computer Methods in Applied Mechanics and Engineering},
year={1985},
volume={51},
pages={107–137}
}

@article {Wriggers2008Nietsche,
   author = {Wriggers, P. and Zavarise, G.},
   title = {{A formulation for frictionless contact problems using a weak form introduced by Nitsche}},
   journal = {Computational Mechanics},
   pages = {407-420},
   volume = {41},
   issue = {3},
   year = {2008}
}

@article{Oliver2009,
title = "A contact domain method for large deformation frictional contact problems. Part 1: Theoretical basis",
journal = "Computer Methods in Applied Mechanics and Engineering",
volume = "198",
number = "33–36",
pages = "2591 - 2606",
year = "2009",
note = "",
author = "J. Oliver and S. Hartmann and J.C. Cante and R. Weyler and J.A. Hernández",
}

@article{Hartmann2009,
title = "A contact domain method for large deformation frictional contact problems. Part 2: Numerical aspects",
journal = "Computer Methods in Applied Mechanics and Engineering",
volume = "198",
number = "33–36",
pages = "2607 - 2631",
year = "2009",
note = "",
author = "S. Hartmann and J. Oliver and R. Weyler and J.C. Cante and J.A. Hernández",
}

@article{Belgacem1998,
title = "The mortar finite element method for contact problems",
journal = "Mathematical and Computer Modelling",
volume = "28",
number = "4–8",
pages = "263-271",
year = "1998",
author = "F.B. Belgacem and P. Hild and P. Laborde",
}
